module.exports = {
	extends: [
		"eslint:recommended",
	],

	rules: {
		"array-bracket-spacing": ["error", "never"],
		"arrow-spacing": "error",
		"brace-style": ["error", "1tbs"],
		"camelcase": "error",
		"comma-dangle": ["error", "always-multiline"],
		"comma-spacing": ["error", {"before": false, "after": true}],
		"complexity": ["warn", 10],
		"computed-property-spacing": ["error", "never"],
		"consistent-return": "error",
		"consistent-this": ["error", "self", "$ctrl", "provider"],
		"curly": ["error", "multi-line"],
		"dot-location": ["error", "property"],
		"dot-notation": "error",
		"eol-last": "error",
		"eqeqeq": ["error", "smart"],
		"indent": ["error", "tab"],
		"key-spacing": ["error", {"beforeColon": false, "afterColon": true, "mode": "minimum"}],
		"keyword-spacing": "error",
		"max-depth": ["warn", 4],
		"new-cap": "error",
		"new-parens": "error",
		"no-console": "error",
		"no-eval": "error",
		"no-extend-native": "error",
		"no-implied-eval": "error",
		"no-loop-func": "error",
		"no-mixed-spaces-and-tabs": ["error", "smart-tabs"],
		"no-new": "error",
		"no-new-func": "error",
		"no-shadow-restricted-names": "error",
		"no-spaced-func": "error",
		"no-trailing-spaces": "error",
		"no-undef": "error",
		"no-unneeded-ternary": "error",
		"no-unreachable": "error",
		"no-unused-vars": "warn",
		"no-warning-comments": "warn",
		"radix": "error",
		"semi": ["error", "always"],
		"space-before-blocks": ["error", {
			"functions": "never",
			"keywords": "never",
			"classes": "always",
		}],
		"space-before-function-paren": ["error", "never"],
		"space-in-parens": "error",
		"space-infix-ops": "error",
		"space-unary-ops": "error",
		"strict": ["error"],
		"wrap-iife": "error",
		"yoda": "error",
	},
};
